import Highlight from './Highlight';
import { getDeserializer } from './serializationStrategies';
import { serialize as defaultSerializer } from './serializationStrategies/XpathRangeSelector';
export default class SerializedHighlight {
    constructor(data) {
        this._data = data;
        this.deserializer = getDeserializer(data);
    }
    get data() {
        return this._data;
    }
    get id() {
        return this.data.id;
    }
    get content() {
        return this.data.content;
    }
    isLoadable(highlighter) {
        return this.deserializer.isLoadable(highlighter);
    }
    load(highlighter) {
        const range = this.deserializer.load(highlighter);
        return new Highlight(this.id, range, this.content);
    }
}
SerializedHighlight.defaultSerializer = defaultSerializer;
//# sourceMappingURL=SerializedHighlight.js.map